Bug 1003284 - [abrt] rapid-photo-downloader-0.4.6-1.fc19: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security ...
[abrt] rapid-photo-downloader-0.4.6-1.fc19: connection.py:651:call_blocking:D...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:0b59b9ff6889ecc663cf7206ca4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 12:09 EDT by mertensb.mazda
Modified: 2013-12-31 04:53 EST (History)
1 user (show)

See Also:
Fixed In Version: rapid-photo-downloader-0.4.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 04:51:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2013-09-01 12:09 EDT, mertensb.mazda
no flags Details
File: environ (2.87 KB, text/plain)
2013-09-01 12:09 EDT, mertensb.mazda
no flags Details

  None (edit)
Description mertensb.mazda 2013-09-01 12:09:35 EDT
Description of problem:
I tried to import a bunch of test images, the import started but generated quite a few errors and warnings.

At some point the import stalled ("About 15 seconds remaining" was displayed in the status bar) and after the while I was forced to quite application.
Several processes remained active and had to be killed form the command line.

After doing that the application could be started again but running the import again resulted in a similar problem.
ps indicates that the main program is now defunct:
 [m8ram@localhost tmp]$ ps auxwww|grep rapid
m8ram    21524  4.6  0.4 1165824 73120 pts/3   Sl+  17:56   0:06 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21539  0.0  0.1 1079328 22724 pts/3   S+   17:56   0:00 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21540  0.2  0.1 1082024 26516 pts/3   S+   17:56   0:00 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21541  0.0  0.1 1080584 24200 pts/3   S+   17:56   0:00 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21542  0.0  0.1 1080616 23516 pts/3   S+   17:56   0:00 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21571  0.2  0.1 1142868 28524 pts/3   S+   17:57   0:00 /usr/bin/python /usr/bin/rapid-photo-downloader
m8ram    21572  1.7  0.0      0     0 pts/3    Z+   17:57   0:01 [rapid-photo-dow] <defunct>
m8ram    21661  0.0  0.0 112648   932 pts/1    S+   17:58   0:00 grep --color=auto rapid

It might be related to the fact that some of my test images are somewhat corrupt:
[ERROR/SubfolderFile-2] Failed to delete temporary file /mm/photos/rapid/rpd-tmp-T5jb4k/RQiyo
Process CopyFiles-8:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/multiprocessing/process.py", line 258, in _bootstrap
    self.run()
  File "/usr/lib/python2.7/site-packages/rapid/copyfiles.py", line 196, in run
    (160, 120), (100,100))
  File "/usr/lib/python2.7/site-packages/rapid/thumbnail.py", line 295, in get_thumbnail
    return self._get_photo_thumbnail(full_file_name, size_max, size_reduced)
  File "/usr/lib/python2.7/site-packages/rapid/thumbnail.py", line 237, in _get_photo_thumbnail
    downsize_pil(image, size_max, fit=False)
  File "/usr/lib/python2.7/site-packages/rapid/thumbnail.py", line 106, in downsize_pil
    image.thumbnail((image.size[0]/factor, image.size[1]/factor), Image.NEAREST)
  File "/usr/lib64/python2.7/site-packages/PIL/Image.py", line 1597, in thumbnail
    self.load()
  File "/usr/lib64/python2.7/site-packages/PIL/ImageFile.py", line 231, in load
    raise_ioerror(e)
  File "/usr/lib64/python2.7/site-packages/PIL/ImageFile.py", line 55, in raise_ioerror
    raise IOError(message + " when reading image file")
IOError: broken data stream when reading image file
processing /mm/photos/rapid/rpd-tmp-T5jb4k/jdbAW


Version-Release number of selected component:
rapid-photo-downloader-0.4.6-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/rapid-photo-downloader
dso_list:       dbus-python-1.1.1-5.fc19.x86_64
executable:     /usr/bin/rapid-photo-downloader
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1026

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/bin/rapid-photo-downloader", line 5, in <module>
    rapid.rapid.start()
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 4062, in start
    app.start()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x7f6770490350>
args: ()
object_path: '/'
signature: None
bus_name: dbus.UTF8String(':1.159')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'net.damonlynch.RapidPhotoDownloader'
message: <dbus.lowlevel.MethodCallMessage path: /, iface: net.damonlynch.RapidPhotoDownloader, member: start dest: :1.159>
method: 'start'
Comment 1 mertensb.mazda 2013-09-01 12:09:40 EDT
Created attachment 792624 [details]
File: backtrace
Comment 2 mertensb.mazda 2013-09-01 12:09:43 EDT
Created attachment 792625 [details]
File: environ
Comment 3 mertensb.mazda 2013-09-01 12:14:43 EDT
Important: due to this the backup is not consistent!

I'm importing to /mm/photos/rapid/ and backing up to /media/backup/mm/photos/

[m8ram@localhost rapid]$ diff -rq /mm/photos/rapid/ /media/backup/mm/photos/
Only in /mm/photos/rapid/2007/08/17: 20070817-062825-DSC-H5_1.jpg
Only in /mm/photos/rapid/2008/04/28: 20080428-144249-E4100_1.jpg
Only in /mm/photos/rapid/2008/04/28: 20080428-144249-E4100_2.jpg
Only in /mm/photos/rapid/2008/04/30: 20080430-113906-DSC-S650_1.jpg
Only in /mm/photos/rapid/2008/06/01: 20080601-172558-DSC-S650_1.jpg
Only in /mm/photos/rapid/2008/06/01: 20080601-172558-DSC-S650_2.jpg
Only in /mm/photos/rapid/2008/09/13: 20080913-234534-DSC-H5_1.jpg
Only in /mm/photos/rapid/2008/09/13: 20080913-234534-DSC-H5_2.jpg
Only in /mm/photos/rapid/2008/09/13: 20080913-234534-DSC-H5_3.jpg
Only in /mm/photos/rapid/2008/11/08: 20081108-160702-DSC-H5_1.jpg
Only in /mm/photos/rapid/2008/11/09: 20081109-115747-DSC-H5_1.jpg
Only in /mm/photos/rapid/2008/11/09: 20081109-115747-DSC-H5_2.jpg
Only in /mm/photos/rapid/2008/11/09: 20081109-115747-DSC-H5_3.jpg
Only in /mm/photos/rapid/2008/11/09: 20081109-115747-DSC-H5_4.jpg
Only in /mm/photos/rapid/2008/11/09: 20081109-115747-DSC-H5_5.jpg
Only in /mm/photos/rapid/2009/02/28: 20090228-124815-DSC-H5_1.jpg
Only in /mm/photos/rapid/2009/02/28: 20090228-124815-DSC-H5_2.jpg
Only in /mm/photos/rapid/2010/02/16: 20100216-125033-DSC-H5_1.jpg
Only in /mm/photos/rapid/2011/04/13: 20110413-083454-DSC-S650_1.jpg
Only in /mm/photos/rapid/2011/04/14: 20110414-13242780-D7000_1.jpg
Only in /mm/photos/rapid/: rpd-tmp-LWWIUB
Only in /mm/photos/rapid/: rpd-tmp-yMBJ0d

Also running the tool again caused tons of duplicates!
Comment 4 mertensb.mazda 2013-09-01 15:16:04 EDT
I ran into the same issue with another set of test images so it is not (only) related to the corrupted files.

Now it continues to report that "Rapid Photo Downloader is already running" but I can't find any process that might be locking it so it appears something is locked in dbus or something like that.
Logging out of gnome entirely cleared whatever lock was there.

Downloading a single image without automatic backup works.
Downloading the entire set without backup worked fine this time.

Without the backup option importing the test images (with the corrupted images) fails again but it's possible to quit the application normally.
Comment 5 Fedora Update System 2013-12-21 13:30:32 EST
rapid-photo-downloader-0.4.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc18
Comment 6 Fedora Update System 2013-12-21 13:30:46 EST
rapid-photo-downloader-0.4.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc19
Comment 7 Fedora Update System 2013-12-21 13:30:58 EST
rapid-photo-downloader-0.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc20
Comment 8 Fedora Update System 2013-12-22 22:42:00 EST
Package rapid-photo-downloader-0.4.7-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rapid-photo-downloader-0.4.7-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23854/rapid-photo-downloader-0.4.7-1.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-31 04:51:37 EST
rapid-photo-downloader-0.4.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-31 04:52:15 EST
rapid-photo-downloader-0.4.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-31 04:53:25 EST
rapid-photo-downloader-0.4.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.